@import url(./cabecalho.css);
@import url(./rodape.css);
@import url(./formulario.css);

@import url(./bem-vindo.css);
@import url(./cadastro.css);
@import url(./login.css);
@import url(./pets.css);
@import url(./mensagem.css);
@import url(./perfil.css);

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root {
    --azul: #3772FF;
    --verde: #36D6AD;
    --coral: #FC7071;
    --coral-active: #fb9193;
    --coral-hover: #FF9D9E;
    --branco: #FFFFFF;
    --creme: #FCF0E3;
    --cinza: #BCBCBC;
    --cinza-escuro: #737380;
    --cinza-icon: #999999;
    --cinza-claro: #F6F6F6;
    --font-text: 'Poppins', sans-serif;
    --vermelho: #df2525;
    --vermelho-claro: #fff2f2;
}

body {
    color: var(--cinza-escuro);
    font-family: var(--font-text);
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.5rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.index {
    background-color: var(--azul);
}

.conteudo {
    position: relative;
    flex-grow: 1;
}

.bem-vindo::before,
.login::before,
.cadastro::before {
    content: '';
    position: absolute;
    top: 3rem;
    right: 0;
    background: url(../img/forma-2.svg) no-repeat;
    background-position: right 0;
    width: 100%;
    max-width: 5.25rem;
    height: 26rem;
    z-index: -1;
}

@media screen and (min-width: 768px) {
    .mensagem::before,
    .perfil::before {
        content: '';
        position: absolute;
        top: 3rem;
        right: 0;
        background: url(../img/forma-2.svg) no-repeat;
        background-position: right 0;
        width: 100%;
        max-width: 5.25rem;
        height: 26rem;
        z-index: -1;
    }

}